<%@ Page Language="vb" %>
<%@ Import Namespace="CoreLab.MySql"%>

<script  runat="server">
Sub Page_Load(sender As Object, e As EventArgs)	
Try
	Dim mysqlConn As _
	CoreLab.MySql.MySqlConnection
        	mysqlConn = _
	New CoreLab.MySql.MySqlConnection()
        	mysqlConn.ConnectionString = "User=root;" & _
	"Host=192.168.101.203;" & _
	"Database=InterShop;"
        	Dim strSQL = "select * from tblCategories"        
        	mysqlConn.State = _
	System.Data.ConnectionState.Open

        	Dim cmdmySqlCommand As _
	CoreLab.MySql.MySqlCommand = _
	New CoreLab.MySql.MySqlCommand(strSQL, sqlConn)
        	Dim myReader As CoreLab.MySql.MySqlDataReader = _
	cmdmySqlCommand.ExecuteReader()
        	        
    	While myReader.Read()
		Response.Write(myReader("CustID") )
		Response.Write(" - ")
		Response.Write(myReader("CustName") )
		Response.Write("<br />")
	End While
	myReader .Close()
        	mysqlConn.Close()
Catch objError As Exception
	response.write("<b>* Error</b>: " & _
	objError.Message & "<p />")
End Try
End Sub
</script>	
http://crlab.com/index.html

MySQLDirect .NET version 1.60
msiexec.exe /i mysqlnet.msi 
Requirement libmysql.dll in your computer


PostgreSQLDirect .NET version 1.10 [
msiexec.exe /i pgsqlnet.msi